version: '3.8'

services:
  authelia-manager:
    build: .
    container_name: authelia-manager
    volumes:
      - /opt/01-security/authelia/config:/config
      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      - traefik-public
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.authelia-manager.rule=Host(`users.ai-impress.com`)"
      - "traefik.http.routers.authelia-manager.entrypoints=websecure"
      - "traefik.http.routers.authelia-manager.tls.certresolver=letsencrypt"
      - "traefik.http.routers.authelia-manager.middlewares=authelia@file"
      - "traefik.http.services.authelia-manager.loadbalancer.server.port=5000"
      - "traefik.docker.network=traefik-public"

networks:
  traefik-public:
    external: true
